Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	libdrm Direct Rendering Manager runtime library
Name: 		libdrm
Version: 	2.4.23
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://dri.sourceforge.net
Source0: 	libdrm-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686
ExclusiveArch: 	%{ix86} x86_64
Obsoletes:      xorg-libs

BuildRequires: 	pkg-config
BuildRequires: 	automake autoconf libtool-devel
BuildRequires:  libpthread-stubs

# Manually added build dependencies

## BuildRequires for tests
BuildRequires:  libXxf86vm-devel
BuildRequires:  libXdamage-devel
BuildRequires:  gtk2+-devel
#

BuildRequires: libudev-devel
BuildRequires: cairo-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
libdrm Direct Rendering Manager runtime library

%package devel
Summary: 	libdrm-devel
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

Obsoletes: 	xorg-devel

%description devel
libdrm Direct Rendering Manager development package

%prep
%setup -q 

%build
#./autogen.sh

%configure --enable-udev --enable-intel --enable-radeon --enable-nouveau-experimental-api --enable-vmwgfx-experimental-api
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/libdrm.so.2
%{_libdir}/libdrm.so.2.4.0
%{_libdir}/libdrm_intel.so
%{_libdir}/libdrm_intel.so.1
%{_libdir}/libdrm_intel.so.1.0.0
%{_libdir}/libdrm_nouveau.so
%{_libdir}/libdrm_nouveau.so.1
%{_libdir}/libdrm_nouveau.so.1.0.0
%{_libdir}/libdrm_radeon.so
%{_libdir}/libdrm_radeon.so.1
%{_libdir}/libdrm_radeon.so.1.0.0
%{_libdir}/libkms.so.*

%files devel
%defattr(-,root,root,-)
#%dir %{_includedir}/drm
# NOTE: Headers are listed explicitly, so we can monitor additions/removals.
%{_includedir}/libdrm/drm.h
%{_includedir}/libdrm/drm_sarea.h
%{_includedir}/libdrm/i915_drm.h
%{_includedir}/libdrm/nouveau_drm.h
%{_includedir}/libdrm/nouveau_drmif.h
%{_includedir}/libdrm/mach64_drm.h
%{_includedir}/libdrm/mga_drm.h
%{_includedir}/libdrm/r128_drm.h
%{_includedir}/libdrm/radeon_drm.h
%{_includedir}/libdrm/radeon_bo.h
%{_includedir}/libdrm/radeon_bo_gem.h
%{_includedir}/libdrm/radeon_bo_int.h
%{_includedir}/libdrm/radeon_cs.h
%{_includedir}/libdrm/radeon_cs_gem.h
%{_includedir}/libdrm/radeon_cs_int.h
%{_includedir}/libdrm/savage_drm.h
%{_includedir}/libdrm/sis_drm.h
%{_includedir}/libdrm/via_drm.h
%{_includedir}/libdrm/vmwgfx_drm.h
%{_includedir}/libdrm/drm_mode.h
%{_includedir}/libdrm/intel_bufmgr.h
%{_includedir}/nouveau/
%{_includedir}/xf86drmMode.h
%{_includedir}/libkms/libkms.h
%{_includedir}/xf86drm.h
%{_libdir}/libdrm.so
%_pkgconfig/libdrm.pc
%_pkgconfig/libdrm_intel.pc
%_pkgconfig/libdrm_nouveau.pc
%_pkgconfig/libdrm_radeon.pc
%_pkgconfig/libkms.pc
%{_libdir}/libdrm.la
%{_libdir}/libdrm_intel.la
%{_libdir}/libdrm_nouveau.la
%{_libdir}/libdrm_radeon.la
%{_libdir}/libkms.la
%{_libdir}/libkms.so


%changelog
* Thu Dec 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.23-1
- version update
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.22-2
- rebuilt
* Sun Oct 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.22-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.21-2
- rebuilt
* Sun Jun 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.21-1
- version update
* Wed Apr 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.20-1
- version update
* Sun Mar 07 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.19-1
- version update
* Tue Feb 16 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.4.18-1
- version update
* Wed Dec 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.17-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.15-1
- version update
* Tue Sep 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.14-1
- version update
* Fri Aug 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.12-1
- version update
* Wed May 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.11-1
- version update
* Wed Apr 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.9-1
- version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.5-1
- version update
* Mon Jan 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.4-1
- version update
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.4.3-1
- version update
* Sun Nov 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- version update
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.4.0-3
- rebuilt
* Sun Sep 07 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.4.0-2
- git checkout 20080907
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 2.4.0-1
- spec from 2.3.1-1, since 2.3.1-2 is corrupted
- git checkout 20071130
* Mon Nov 12 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.3.1-2
- git checkout 20071112
* Thu Jun 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- version update
- git checkout 20070607
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-2
- rebuilt against glibc 2.5 / gcc 4.1.1
* Sun Nov 12 2006 Stefan Gottwald <gotti@ccux-linux.de> 2.3.0-1
- Version Update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 2.0.2-1
- Initial release
